import React from 'react';
import PopperJs from '@popperjs/core';
import { IClassNameProps } from '../../../@types';
export interface IPopoverCommonProps extends IClassNameProps {
    /**
     * Defines disabled state of menu
     */
    disabled?: boolean;
    /**
     * Check if to apply default buttons styles
     */
    isDefaultButtonStyles?: boolean;
    /**
     * Defines the default placement of the popover container
     */
    placement?: PopperJs.Placement;
    /**
     * Defines the CSS position of the popover container
     */
    strategy?: PopperJs.PositioningStrategy;
    /**
     * Defines trigger element. Can say trigger button's children
     */
    trigger: string | React.ReactElement;
    /**
     * Defines trigger button additional class names
     */
    triggerButtonClass?: string;
}
export interface IPopoverProps extends IPopoverCommonProps, React.ComponentPropsWithoutRef<'div'> {
    /**
     * Check if to apply trigger buttons styles
     */
    isTriggerButtonStyles?: boolean;
    /**
     * Defines popover panel wrapper class names
     */
    panelClassName?: string;
    /**
     * Defines trigger button active class names
     */
    triggerActiveClass?: string;
    /**
     * Defines trigger button as prop
     */
    triggerButtonAs?: React.ElementType<any>;
    /**
     * Defines trigger button style with no hover border
     */
    triggerNoHoverBorder?: boolean;
}
export declare function Popover({ children, className, disabled, isDefaultButtonStyles, isTriggerButtonStyles, panelClassName, placement, strategy, trigger, triggerActiveClass, triggerButtonAs, triggerButtonClass, triggerNoHoverBorder, ...other }: IPopoverProps): JSX.Element;
//# sourceMappingURL=Popover.d.ts.map