import React from 'react';
import { IimpactNumberFormatterProps } from '../../utils/impactNumberFormatter';
declare type sizes = 'xs' | 'sm' | 'base' | 'lg' | 'xl' | '2xl' | '3xl' | '4xl';
export interface ITrendProps extends Omit<IimpactNumberFormatterProps, 'unit'>, React.ComponentPropsWithoutRef<'div'> {
    /**
     * Defines the help text for which trend is show
     */
    helpText?: string;
    /**
     * Hide up/down icons
     */
    hideIcon?: boolean;
    /**
     * Show up/down arrow & trend value in white color
     */
    isWhite?: boolean;
    /**
     * Reverse the directions color
     */
    reverseColor?: boolean;
    /**
     * Show circualr background color
     */
    showBgColor?: boolean;
    /**
     * Show up/down caret icons instead of up/down arrows
     */
    showCaret?: boolean;
    /**
     * Defines the size of the icon if height and width are not provided
     */
    size?: sizes;
    /**
     * Defines the unit of the value and displayed next to value
     * This unit will also help to auto scale
     */
    unit?: string;
    /**
     * Defines the space between value and unit
     */
    unitGap?: boolean;
}
export declare const Trend: ({ autoScale, className, helpText, hideIcon, isWhite, locale, options, reverseColor, showCaret, showBgColor, size, significantDigits, unit, unitGap, useLocale, value, ...rest }: ITrendProps) => JSX.Element;
export {};
//# sourceMappingURL=Trend.d.ts.map