import { UnitToType } from './autoScaleUnitValue';
import { InumberLocaleFormatter } from './numberLocaleFormatter';
export interface IimpactNumberFormatterProps extends Omit<InumberLocaleFormatter, 'value'> {
    /**
     * Defines impact value to scale up to next possible unit
     * For example: 1000g of impact will be displayed as 1kg and so on
     */
    autoScale?: boolean;
    /**
     * Defines the formatting of the impact value to show only few digits and rest zeros
     */
    significantDigits?: number;
    /**
     * Defines the unit of each impact based on weight, volume or sli type.
     * Based on this unit, autoScale value will be displaye corresponding possible units
     */
    unit: string;
    /**
     * Defines the unit of each impact based on which fixed scale up or down of value will be done
     */
    unitTo?: UnitToType;
    /**
     * Defines the impact value, which will be formatted based on options
     */
    value: number;
}
export declare function impactNumberFormatter({ autoScale, locale, options, significantDigits, unit, unitTo, useLocale, value, }: IimpactNumberFormatterProps): {
    unit: string;
    unitDescription: string;
    unitTo: string;
    value: string | number;
};
//# sourceMappingURL=impactNumberFormatter.d.ts.map